define(["require", "exports", "chord/library/core/library"], function (require, exports, library_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.makeItems = exports.makeItem = void 0;
    /**
     * Check whether song, artist, album, collection exists at library
     */
    function makeItem(item) {
        if (!item)
            return item;
        if (library_1.defaultLibrary.exists(item)) {
            item.like = true;
        }
        return item;
    }
    exports.makeItem = makeItem;
    function makeItems(items) {
        if (!items)
            return items;
        return (items).map(function (item) { return item ? makeItem(item) : item; });
    }
    exports.makeItems = makeItems;
});
