define(["require", "exports", "crypto", "crypto-js", "chord/base/node/crypto"], function (require, exports, crypto, cryptojs, crypto_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.encrypt = void 0;
    var PUBLIC_KEY = "-----BEGIN PUBLIC KEY-----\nMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQC8asrfSaoOb4je+DSmKdriQJKW\nVJ2oDZrs3wi5W67m3LwTB9QVR+cE3XWU21Nx+YBxS0yun8wDcjgQvYt625ZCcgin\n2ro/eOkNyUOTBIbuj9CvMnhUYiR61lC1f1IGbrSYYimqBVSjpifVufxtx/I3exRe\nZosTByYp4Xwpb1+WAQIDAQAB\n-----END PUBLIC KEY-----";
    function encrypt(buf) {
        var key = crypto_1.md5((1e3 * Math.random()).toString()).toString();
        var secKey = crypto_1.encryptRSA(key, { key: PUBLIC_KEY, padding: crypto.constants.RSA_PKCS1_PADDING }, 'utf8', 'base64');
        var encBuf = cryptojs.AES.encrypt(buf, key).toString();
        return { secKey: secKey, encBuf: encBuf };
    }
    exports.encrypt = encrypt;
});
