define(["require", "exports", "path"], function (require, exports, path) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.filenameToNodeName = void 0;
    /**
     * filename is only from __filename
     */
    function filenameToNodeName(filename) {
        var index = filename.indexOf(path.join('out', 'chord'));
        var nodeName = filename.slice(index + 4, -3).replace(/[/\\]/g, '.');
        return nodeName;
    }
    exports.filenameToNodeName = filenameToNodeName;
});
