define(["require", "exports", "chord/music/common/origin"], function (require, exports, origin_1) {
    'use strict';
    var _a, _b, _c;
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.OFFSETS = exports.ORDERS = exports.DEFAULT_ORDER = void 0;
    exports.DEFAULT_ORDER = (_a = {},
        _a[origin_1.ORIGIN.ximalaya] = {
            podcast: {
                episodes: '1',
            },
            radio: {
                episodes: '2',
                podcasts: '2',
                favoritePodcasts: '1',
                followings: '',
            },
        },
        _a[origin_1.ORIGIN.himalaya] = {
            podcast: {
                episodes: '1',
            },
        },
        _a);
    exports.ORDERS = (_b = {},
        _b[origin_1.ORIGIN.ximalaya] = {
            podcast: {
                episodes: [
                    { id: '0', name: '正序' },
                    { id: '1', name: '倒序' },
                ],
            },
            radio: {
                episodes: [
                    { id: '1', name: '正序' },
                    { id: '2', name: '倒序' },
                ],
                podcasts: [
                    { id: '1', name: '正序' },
                    { id: '2', name: '倒序' },
                ],
                favoritePodcasts: [
                    { id: '1', name: '综合排序' },
                    { id: '2', name: '最近更新' },
                    { id: '3', name: '最近订阅' },
                ],
            },
        },
        _b[origin_1.ORIGIN.himalaya] = {
            podcast: {
                episodes: [],
            },
        },
        _b);
    exports.OFFSETS = (_c = {},
        _c[origin_1.ORIGIN.ximalaya] = {
            offset: 0,
            limit: 30,
        },
        _c[origin_1.ORIGIN.himalaya] = {
            offset: 0,
            limit: 30,
        },
        _c);
});
