define(["require", "exports", "chord/workbench/api/common/state/mainView/home/recommendView", "chord/workbench/api/common/state/mainView/home/collectionsView", "chord/workbench/api/common/state/mainView/home/albumsView", "chord/workbench/api/common/state/mainView/home/artistsView"], function (require, exports, recommendView_1, collectionsView_1, albumsView_1, artistsView_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.initiateHomeViewState = void 0;
    function initiateHomeViewState() {
        return {
            view: 'recommendView',
            recommendView: recommendView_1.initiateRecommendViewState(),
            collectionsView: collectionsView_1.initiateCollectionsViewState(),
            albumsView: albumsView_1.initiateAlbumsViewState(),
            artistsView: artistsView_1.initiateArtistsViewState(),
        };
    }
    exports.initiateHomeViewState = initiateHomeViewState;
});
