define(["require", "exports", "chord/workbench/api/common/state/mainView/searchView", "chord/workbench/api/common/state/mainView/albumView", "chord/workbench/api/common/state/mainView/artistView", "chord/workbench/api/common/state/mainView/collectionView", "chord/workbench/api/common/state/mainView/userProfileView", "chord/workbench/api/common/state/mainView/podcastView", "chord/workbench/api/common/state/mainView/radioView", "chord/workbench/api/common/state/mainView/libraryView", "chord/workbench/api/common/state/mainView/home/homeView"], function (require, exports, searchView_1, albumView_1, artistView_1, collectionView_1, userProfileView_1, podcastView_1, radioView_1, libraryView_1, homeView_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.initiateMainViewState = void 0;
    function initiateMainViewState() {
        return {
            view: 'searchView',
            searchView: searchView_1.initiateSearchViewState(),
            albumView: albumView_1.initiateAlbumViewState(),
            artistView: artistView_1.initiateArtistViewState(),
            collectionView: collectionView_1.initiateCollectionViewState(),
            userProfileView: userProfileView_1.initiateUserProfileViewState(),
            podcastView: podcastView_1.initiatePodcastViewState(),
            radioView: radioView_1.initiateRadioViewState(),
            libraryView: libraryView_1.initiateLibraryViewState(),
            homeView: homeView_1.initiateHomeViewState(),
        };
    }
    exports.initiateMainViewState = initiateMainViewState;
});
