define(["require", "exports", "chord/workbench/api/common/state/menu/songMenu", "chord/workbench/api/common/state/menu/artistMenu", "chord/workbench/api/common/state/menu/albumMenu", "chord/workbench/api/common/state/menu/collectionMenu", "chord/workbench/api/common/state/menu/userProfileMenu", "chord/workbench/api/common/state/menu/episodeMenu", "chord/workbench/api/common/state/menu/podcastMenu", "chord/workbench/api/common/state/menu/radioMenu"], function (require, exports, songMenu_1, artistMenu_1, albumMenu_1, collectionMenu_1, userProfileMenu_1, episodeMenu_1, podcastMenu_1, radioMenu_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.initiateMenuState = void 0;
    function initiateMenuState() {
        return {
            view: null,
            songMenu: songMenu_1.initiateSongMenuState(),
            artistMenu: artistMenu_1.initiateArtistMenuState(),
            albumMenu: albumMenu_1.initiateAlbumMenuState(),
            collectionMenu: collectionMenu_1.initiateCollectionMenuState(),
            userProfileMenu: userProfileMenu_1.initiateUserProfileMenuState(),
            episodeMenu: episodeMenu_1.initiateEpisodeMenuState(),
            podcastMenu: podcastMenu_1.initiatePodcastMenuState(),
            radioMenu: radioMenu_1.initiateRadioMenuState(),
        };
    }
    exports.initiateMenuState = initiateMenuState;
});
