define(["require", "exports", "react"], function (require, exports, React) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    function Select(props) {
        var options = props.options.map(function (option, index) {
            return React.createElement("option", { selected: !!option.selected, key: props.namespace + '_' + index.toString().padStart(3, '0'), value: option.value }, option.name);
        });
        return (React.createElement("div", { className: "select-control" },
            React.createElement("div", { className: "select-container" },
                React.createElement("select", { onChange: function (e) { return props.onchange(e); } }, options))));
    }
    exports.default = Select;
});
