define(["require", "exports", "react"], function (require, exports, React) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.ViewMoreItem = exports.ViewMorePlusItem = void 0;
    function ViewMorePlusItem(props) {
        return (React.createElement("div", { className: 'row' },
            React.createElement("div", { className: "view-more row" },
                React.createElement("div", { className: "btn btn-fg-green cursor-pointer", onClick: function () { return props.handler(10); } }, "View More +10"),
                React.createElement("div", { className: "btn btn-fg-green cursor-pointer", onClick: function () { return props.handler(20); } }, "View More +20"),
                React.createElement("div", { className: "btn btn-fg-green cursor-pointer", onClick: function () { return props.handler(50); } }, "View More +50"),
                React.createElement("div", { className: "btn btn-fg-green cursor-pointer", onClick: function () { return props.handler(100); } }, "View More +100"),
                React.createElement("div", { className: "btn btn-fg-green cursor-pointer", onClick: function () { return props.handler(500); } }, "View More +500"),
                React.createElement("div", { className: "btn btn-fg-green cursor-pointer", onClick: function () { return props.handler(1000); } }, "View More +1000"))));
    }
    exports.ViewMorePlusItem = ViewMorePlusItem;
    function ViewMoreItem(props) {
        return (React.createElement("div", { className: 'row' },
            React.createElement("div", { className: "view-more row" },
                React.createElement("div", { className: "btn btn-fg-green cursor-pointer", onClick: props.handler }, "View More"))));
    }
    exports.ViewMoreItem = ViewMoreItem;
});
