var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
define(["require", "exports", "chord/base/common/assert"], function (require, exports, assert_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getMoreAlbums = exports.showAlbumList = exports.showAlbumListOptions = void 0;
    function showAlbumListOptions(state, act) {
        assert_1.equal(act.act, 'c:mainView:home:showAlbumListOptionsView');
        var optionsSet = act.optionsSet;
        if (!!optionsSet) {
            return __assign(__assign({}, state), { view: 'albumsView', albumsView: __assign(__assign({}, state.albumsView), { view: 'options', optionsSet: optionsSet, 
                    // clean cache
                    albums: [], albumsOffset: null }) });
        }
        else {
            return __assign(__assign({}, state), { view: 'albumsView', albumsView: __assign(__assign({}, state.albumsView), { view: 'options', 
                    // clean cache
                    albums: [], albumsOffset: null }) });
        }
    }
    exports.showAlbumListOptions = showAlbumListOptions;
    function showAlbumList(state, act) {
        assert_1.equal(act.act, 'c:mainView:home:showAlbumListView');
        var origin = act.origin, albums = act.albums, albumsOffset = act.albumsOffset;
        var albumsViewState = state.albumsView;
        return __assign(__assign({}, state), { albumsView: __assign(__assign({}, albumsViewState), { view: 'albums', origin: origin, albums: albums, albumsOffset: albumsOffset }) });
    }
    exports.showAlbumList = showAlbumList;
    function getMoreAlbums(state, act) {
        assert_1.equal(act.act, 'c:mainView:home:albums:getMoreAlbums');
        var albums = act.albums, albumsOffset = act.albumsOffset;
        return __assign(__assign({}, state), { albums: __spreadArray(__spreadArray([], __read(state.albums)), __read(albums)), albumsOffset: albumsOffset });
    }
    exports.getMoreAlbums = getMoreAlbums;
});
