var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
define(["require", "exports", "chord/base/common/assert"], function (require, exports, assert_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.showArtistList = exports.showArtistListOptions = void 0;
    function showArtistListOptions(state, act) {
        assert_1.equal(act.act, 'c:mainView:home:showArtistListOptionsView');
        var artistsView = __assign(__assign({}, state.artistsView), { view: 'options' });
        return __assign(__assign({}, state), { view: 'artistsView', artistsView: artistsView });
    }
    exports.showArtistListOptions = showArtistListOptions;
    function showArtistList(state, act) {
        assert_1.equal(act.act, 'c:mainView:home:showArtistListView');
        var artistsView = __assign(__assign({}, state.artistsView), { view: 'artists', origin: act.origin });
        return __assign(__assign({}, state), { view: 'artistsView', artistsView: artistsView });
    }
    exports.showArtistList = showArtistList;
});
