define(["require", "exports", "react", "react-redux", "chord/workbench/parts/menu/browser/component/menu", "chord/workbench/parts/mainView/browser/action/addLibraryItem"], function (require, exports, React, react_redux_1, menu_1, addLibraryItem_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    function ArtistMenu(_a) {
        var item = _a.item, view = _a.view, top = _a.top, left = _a.left, handleAddLibraryItem = _a.handleAddLibraryItem;
        return view == 'artistMenuView' ?
            React.createElement(menu_1.default, { item: item, name: 'Artist', top: top, left: left, handleAddLibraryItem: handleAddLibraryItem, toQueue: true }) : null;
    }
    function mapStateToProps(state) {
        var _a = state.menu.artistMenu, artist = _a.artist, top = _a.top, left = _a.left;
        return {
            item: artist,
            top: top,
            left: left,
            view: state.menu.view,
        };
    }
    function mapDispatchToProps(dispatch) {
        return {
            handleAddLibraryItem: function (artist) { return dispatch(addLibraryItem_1.handleAddLibraryArtist(artist)); },
        };
    }
    exports.default = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(ArtistMenu);
});
