define(["require", "exports", "chord/base/common/assert"], function (require, exports, assert_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.showRadioMenu = exports.showPodcastMenu = exports.showEpisodeMenu = exports.showUserProfileMenu = exports.showCollectionMenu = exports.showAlbumMenu = exports.showArtistMenu = exports.showSongMenu = void 0;
    function showSongMenu(state, act) {
        assert_1.equal(act.act, 'c:menu:showSongMenu');
        return {
            top: act.top,
            left: act.left,
            song: act.song,
        };
    }
    exports.showSongMenu = showSongMenu;
    function showArtistMenu(state, act) {
        assert_1.equal(act.act, 'c:menu:showArtistMenu');
        return {
            top: act.top,
            left: act.left,
            artist: act.artist,
        };
    }
    exports.showArtistMenu = showArtistMenu;
    function showAlbumMenu(state, act) {
        assert_1.equal(act.act, 'c:menu:showAlbumMenu');
        return {
            top: act.top,
            left: act.left,
            album: act.album,
        };
    }
    exports.showAlbumMenu = showAlbumMenu;
    function showCollectionMenu(state, act) {
        assert_1.equal(act.act, 'c:menu:showCollectionMenu');
        return {
            top: act.top,
            left: act.left,
            collection: act.collection,
        };
    }
    exports.showCollectionMenu = showCollectionMenu;
    function showUserProfileMenu(state, act) {
        assert_1.equal(act.act, 'c:menu:showUserProfileMenu');
        return {
            top: act.top,
            left: act.left,
            userProfile: act.userProfile,
        };
    }
    exports.showUserProfileMenu = showUserProfileMenu;
    // Sound
    function showEpisodeMenu(state, act) {
        assert_1.equal(act.act, 'c:menu:showEpisodeMenu');
        return {
            top: act.top,
            left: act.left,
            episode: act.episode,
        };
    }
    exports.showEpisodeMenu = showEpisodeMenu;
    function showPodcastMenu(state, act) {
        assert_1.equal(act.act, 'c:menu:showPodcastMenu');
        return {
            top: act.top,
            left: act.left,
            podcast: act.podcast,
        };
    }
    exports.showPodcastMenu = showPodcastMenu;
    function showRadioMenu(state, act) {
        assert_1.equal(act.act, 'c:menu:showRadioMenu');
        return {
            top: act.top,
            left: act.left,
            radio: act.radio,
        };
    }
    exports.showRadioMenu = showRadioMenu;
});
