var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
define(["require", "exports", "chord/base/common/property", "chord/workbench/parts/notification/reducer/reduceMap"], function (require, exports, property_1, reduceMap_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.notificationReducer = void 0;
    function notificationReducer(state, act) {
        var _a = reduceMap_1.map(act.act), reducer = _a.reducer, node = _a.node;
        var reducerState = property_1.getDescendentProp(state, node);
        var result = reducer(reducerState, act);
        var newState = __assign({}, state);
        newState = property_1.setDescendentProp(newState, node, result);
        return newState;
    }
    exports.notificationReducer = notificationReducer;
});
