var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
define(["require", "exports", "chord/platform/log/common/log", "chord/platform/utils/common/paths", "chord/music/common/origin", "chord/workbench/parts/player/browser/action/playOne", "chord/workbench/parts/player/browser/action/playArtist", "chord/workbench/parts/player/browser/action/playAlbum", "chord/workbench/parts/player/browser/action/playCollection", "chord/workbench/parts/player/browser/action/playUser", "chord/workbench/parts/player/browser/action/playPodcast", "chord/workbench/events/autoLoadNextPlayItems", "chord/sound/common/params"], function (require, exports, log_1, paths_1, origin_1, playOne_1, playArtist_1, playAlbum_1, playCollection_1, playUser_1, playPodcast_1, autoLoadNextPlayItems_1, params_1) {
    'use strict';
    var _a;
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.handleAddToQueue = void 0;
    var logger = new log_1.Logger(paths_1.filenameToNodeName(__filename));
    var PARAMS = (_a = {},
        _a[origin_1.ORIGIN.ximalaya] = __assign(__assign({}, params_1.OFFSETS[origin_1.ORIGIN.ximalaya]), { order: '0' }),
        _a);
    function _addGlobelPlayPartForPodcast(origin, podcastId) {
        var _a = PARAMS[origin], order = _a.order, offset = _a.offset, limit = _a.limit;
        var params = {
            podcastId: podcastId,
            params: { order: order },
            offset: offset,
            limit: limit,
        };
        autoLoadNextPlayItems_1.addGlobelPlayPartForPodcast(params);
    }
    function handleAddToQueue(item, direction) {
        return __awaiter(this, void 0, void 0, function () {
            var playItems, _a, act1, act2, act3, act4, act5, act6, _b, origin_2, podcastId, act7;
            return __generator(this, function (_c) {
                switch (_c.label) {
                    case 0:
                        _a = item.type;
                        switch (_a) {
                            case 'song': return [3 /*break*/, 1];
                            case 'artist': return [3 /*break*/, 3];
                            case 'album': return [3 /*break*/, 5];
                            case 'collection': return [3 /*break*/, 7];
                            case 'userProfile': return [3 /*break*/, 9];
                            case 'episode': return [3 /*break*/, 11];
                            case 'podcast': return [3 /*break*/, 13];
                        }
                        return [3 /*break*/, 15];
                    case 1: return [4 /*yield*/, playOne_1.handlePlayOne(item)];
                    case 2:
                        act1 = _c.sent();
                        playItems = [act1.playItem];
                        return [3 /*break*/, 16];
                    case 3: return [4 /*yield*/, playArtist_1.handlePlayArtist(item)];
                    case 4:
                        act2 = _c.sent();
                        playItems = act2.artist.songs;
                        return [3 /*break*/, 16];
                    case 5: return [4 /*yield*/, playAlbum_1.handlePlayAlbum(item)];
                    case 6:
                        act3 = _c.sent();
                        playItems = act3.album.songs;
                        return [3 /*break*/, 16];
                    case 7: return [4 /*yield*/, playCollection_1.handlePlayCollection(item)];
                    case 8:
                        act4 = _c.sent();
                        playItems = act4.collection.songs;
                        return [3 /*break*/, 16];
                    case 9: return [4 /*yield*/, playUser_1.handlePlayUserFavoriteSongs(item)];
                    case 10:
                        act5 = _c.sent();
                        playItems = act5.songs;
                        return [3 /*break*/, 16];
                    case 11: return [4 /*yield*/, playOne_1.handlePlayOne(item)];
                    case 12:
                        act6 = _c.sent();
                        playItems = [act6.playItem];
                        return [3 /*break*/, 16];
                    case 13:
                        _b = item, origin_2 = _b.origin, podcastId = _b.podcastId;
                        _addGlobelPlayPartForPodcast(origin_2, podcastId);
                        return [4 /*yield*/, playPodcast_1.handlePlayPodcast(item, [])];
                    case 14:
                        act7 = _c.sent();
                        playItems = act7.playItems;
                        return [3 /*break*/, 16];
                    case 15:
                        logger.warning('`handleAddToQueue` act: unknown item\'s type:', item);
                        _c.label = 16;
                    case 16: 
                    // playItems = (playItems || []).filter(song => hasSongAudio(song));
                    return [2 /*return*/, {
                            type: 'c:player:addToQueue',
                            act: 'c:player:addToQueue',
                            playItems: playItems,
                            direction: direction,
                        }];
                }
            });
        });
    }
    exports.handleAddToQueue = handleAddToQueue;
});
