var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "react", "chord/workbench/parts/player/browser/action/changeRate"], function (require, exports, React, changeRate_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    var RateView = /** @class */ (function (_super) {
        __extends(RateView, _super);
        function RateView(props) {
            var _this = _super.call(this, props) || this;
            _this.rateRef = React.createRef();
            _this.toggleState = false;
            _this.state = {
                rate: 1.0,
            };
            _this.toggleSelect = _this.toggleSelect.bind(_this);
            _this.handleRate = _this.handleRate.bind(_this);
            return _this;
        }
        RateView.prototype.toggleSelect = function () {
            var toggleState = !this.toggleState;
            this.rateRef.current.style.display = toggleState ? 'grid' : 'none';
            this.toggleState = toggleState;
        };
        RateView.prototype.handleRate = function (rate) {
            changeRate_1.changeRate(rate);
            this.toggleState = false;
            this.rateRef.current.style.display = 'none';
            this.setState({ rate: rate });
        };
        RateView.prototype.render = function () {
            var _this = this;
            var m = {
                3.0: '3.0',
                2.75: '2.7',
                2.5: '2.5',
                2.25: '2.2',
                2.0: '2.0',
                1.75: '1.7',
                1.5: '1.5',
                1.25: '1.2',
                1.0: '1.0',
                0.75: '0.7',
                0.5: '0.5',
            };
            var rate = 'x' + m[this.state.rate];
            return (React.createElement("div", null,
                React.createElement("div", { className: 'player-rate cursor-pointer', ref: this.rateRef },
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(3.0); } }, "3.0"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(2.75); } }, "2.7"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(2.5); } }, "2.5"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(2.25); } }, "2.2"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(2.0); } }, "2.0"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(1.75); } }, "1.7"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(1.5); } }, "1.5"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(1.25); } }, "1.2"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(1.0); } }, "1.0"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(0.75); } }, "0.7"),
                    React.createElement("span", { className: 'cursor-pointer', onClick: function () { return _this.handleRate(0.5); } }, "0.5")),
                React.createElement("span", { className: 'cursor-pointer', style: { padding: '0px 2px' }, onClick: function () { return _this.toggleSelect(); } }, rate)));
        };
        return RateView;
    }(React.Component));
    exports.default = RateView;
});
