define(["require", "exports", "assert", "mocha", "chord/base/common/objects"], function (require, exports, assert, mocha_1, objects_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    mocha_1.suite('base/common/objects', function () {
        mocha_1.test('deepCopy', function () {
            var x = { a: { b: { c: [{ e: 100 }] } } };
            var result = objects_1.deepCopy(x);
            assert.equal(JSON.stringify(result), '{"a":{"b":{"c":[{"e":100}]}}}');
        });
    });
});
