var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
define(["require", "exports"], function (require, exports) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getRandomSample = exports.getRandomFloat = exports.getRandomInt = exports.getRandom = void 0;
    function getRandom() {
        return Math.random();
    }
    exports.getRandom = getRandom;
    function getRandomInt(min, max) {
        min = Math.ceil(min);
        max = Math.floor(max);
        //The maximum and the minimum are inclusive
        return Math.floor(Math.random() * (max - min + 1)) + min;
    }
    exports.getRandomInt = getRandomInt;
    function getRandomFloat(min, max) {
        min = Math.ceil(min);
        max = Math.floor(max);
        //The maximum and the minimum are inclusive
        return Math.floor(Math.random() * (max - min + 1)) + min;
    }
    exports.getRandomFloat = getRandomFloat;
    function getRandomSample(array, size) {
        var range = array.length;
        var result = [];
        var indexRange = [];
        while (result.length < size) {
            if (indexRange.length == 0) {
                indexRange = __spreadArray([], __read(Array(range).keys()));
            }
            var index = getRandomInt(0, indexRange.length - 1);
            result.push(array[indexRange[index]]);
            indexRange = __spreadArray(__spreadArray([], __read(indexRange.slice(0, index))), __read(indexRange.slice(index + 1)));
        }
        return result;
    }
    exports.getRandomSample = getRandomSample;
});
