define(["require", "exports", "chord/base/common/constants", "chord/base/node/random", "chord/base/node/cookies"], function (require, exports, constants_1, random_1, cookies_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.initiateCookies = void 0;
    var DOMAIN = 'music.163.com';
    function initiateCookies() {
        var date = Date.now().toString();
        var jsessionId = random_1.getRandomSample(Array.from(constants_1.ASCII_LETTER_DIGIT + '/\\+'), 176).join('') + date;
        var nuid = random_1.getRandomSample(Array.from(constants_1.ASCII_LETTER_DIGIT), 32).join('');
        var cookies = [
            ['JSESSIONID-WYYY', jsessionId],
            ['_iuqxldmzr_', '32'],
            ['_ntes_nnid', nuid + ',' + date],
            ['_ntes_nuid', nuid],
            ['os', 'pc'],
        ].map(function (item) { return cookies_1.makeCookie(item[0], item[1], DOMAIN); });
        return cookies;
    }
    exports.initiateCookies = initiateCookies;
});
