var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __values = (this && this.__values) || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m) return m.call(o);
    if (o && typeof o.length === "number") return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
define(["require", "exports", "chord/platform/log/common/log", "chord/platform/utils/common/paths", "chord/base/node/url", "chord/base/node/_request", "chord/music/common/size", "chord/music/qianqian/crypto", "chord/music/qianqian/parser"], function (require, exports, log_1, paths_1, url_1, _request_1, size_1, crypto_1, parser_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.QianQianApi = void 0;
    var loggerWarning = new log_1.Logger(paths_1.filenameToNodeName(__filename), log_1.LogLevel.Warning);
    var CURL_HEADERS = {
        'User-Agent': 'curl/7.65.1',
        'Accept': '*/*',
    };
    var QianQianApi = /** @class */ (function () {
        function QianQianApi() {
        }
        QianQianApi.prototype.request = function (params, data, url, headers) {
            if (url === void 0) { url = QianQianApi.SERVER; }
            return __awaiter(this, void 0, void 0, function () {
                var paramstr, json, i, options, result;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            paramstr = url_1.querystringify(params);
                            url = url + '?' + paramstr;
                            headers = headers || QianQianApi.HEADERS;
                            json = null;
                            i = 0;
                            _a.label = 1;
                        case 1:
                            if (!(i < 5)) return [3 /*break*/, 4];
                            options = {
                                method: 'GET',
                                url: url,
                                headers: headers,
                                body: data,
                                gzip: true,
                                resolveWithFullResponse: false,
                            };
                            return [4 /*yield*/, _request_1.request(options)];
                        case 2:
                            result = _a.sent();
                            json = JSON.parse(result.trim());
                            if (json.error_code && json.error_code == 22001) {
                                return [3 /*break*/, 3];
                            }
                            if (json.error_code && json.error_code != 22000) {
                                loggerWarning.warning('[QianQianApi.request] [Error]: (params, response):', options, json);
                            }
                            return [3 /*break*/, 4];
                        case 3:
                            i++;
                            return [3 /*break*/, 1];
                        case 4: return [2 /*return*/, json];
                    }
                });
            });
        };
        QianQianApi.prototype.getAudio = function (songId, kbps) {
            return __awaiter(this, void 0, void 0, function () {
                var params, json, info, audio;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            params = {
                                songIds: songId,
                                type: kbps <= 320 ? 'mp3' : 'flac',
                            };
                            if (kbps <= 320)
                                params['rate'] = kbps;
                            return [4 /*yield*/, this.request(params, null, QianQianApi.AUDIO, CURL_HEADERS)];
                        case 1:
                            json = _a.sent();
                            info = json['data']['songList'][0];
                            if (info['songLink']) {
                                audio = {
                                    url: info['songLink'],
                                    format: info['format'],
                                    size: info['size'],
                                    kbps: info['rate'],
                                };
                                return [2 /*return*/, audio];
                            }
                            return [2 /*return*/, null];
                    }
                });
            });
        };
        QianQianApi.prototype.audios = function (songId, supKbps) {
            return __awaiter(this, void 0, void 0, function () {
                var song, audios, audios_1, audios_1_1, audio, _audio, e_1_1;
                var e_1, _a;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0: return [4 /*yield*/, this.song(songId)];
                        case 1:
                            song = _b.sent();
                            audios = song.audios;
                            _b.label = 2;
                        case 2:
                            _b.trys.push([2, 7, 8, 9]);
                            audios_1 = __values(audios), audios_1_1 = audios_1.next();
                            _b.label = 3;
                        case 3:
                            if (!!audios_1_1.done) return [3 /*break*/, 6];
                            audio = audios_1_1.value;
                            if (!(!audio.url && audio.kbps <= supKbps)) return [3 /*break*/, 5];
                            return [4 /*yield*/, this.getAudio(songId, audio.kbps)];
                        case 4:
                            _audio = _b.sent();
                            if (_audio) {
                                audio.url = _audio.url;
                                return [3 /*break*/, 6];
                            }
                            _b.label = 5;
                        case 5:
                            audios_1_1 = audios_1.next();
                            return [3 /*break*/, 3];
                        case 6: return [3 /*break*/, 9];
                        case 7:
                            e_1_1 = _b.sent();
                            e_1 = { error: e_1_1 };
                            return [3 /*break*/, 9];
                        case 8:
                            try {
                                if (audios_1_1 && !audios_1_1.done && (_a = audios_1.return)) _a.call(audios_1);
                            }
                            finally { if (e_1) throw e_1.error; }
                            return [7 /*endfinally*/];
                        case 9: return [2 /*return*/, audios.filter(function (audio) { return !!audio.url; })];
                    }
                });
            });
        };
        QianQianApi.prototype.audio = function (songId) {
            return __awaiter(this, void 0, void 0, function () {
                var json, song;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request({
                                method: QianQianApi.NODE_MAP.audio,
                                from: 'web',
                                songid: songId,
                            })];
                        case 1:
                            json = _a.sent();
                            if (json.error_code != 22000)
                                return [2 /*return*/, []];
                            song = parser_1.makeSong(json);
                            return [2 /*return*/, song.audios];
                    }
                });
            });
        };
        QianQianApi.prototype.song = function (songId) {
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request({
                                method: QianQianApi.NODE_MAP.song,
                                from: 'web',
                                songid: songId,
                            })];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeSong(json.content)];
                    }
                });
            });
        };
        QianQianApi.prototype.lyric = function (songId, song) {
            return __awaiter(this, void 0, void 0, function () {
                var lyricUrl, cn;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!(!song || !song.lyricUrl)) return [3 /*break*/, 2];
                            return [4 /*yield*/, this.song(songId)];
                        case 1:
                            song = _a.sent();
                            _a.label = 2;
                        case 2:
                            lyricUrl = song.lyricUrl;
                            if (!lyricUrl)
                                return [2 /*return*/, null];
                            return [4 /*yield*/, _request_1.htmlGet(lyricUrl)];
                        case 3:
                            cn = _a.sent();
                            return [2 /*return*/, parser_1.makeLyric(songId, cn)];
                    }
                });
            });
        };
        QianQianApi.prototype.album = function (albumId) {
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request({
                                method: QianQianApi.NODE_MAP.album,
                                from: 'web',
                                album_id: albumId,
                            })];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeAlbum(json)];
                    }
                });
            });
        };
        QianQianApi.prototype.artist = function (artistId) {
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request({
                                method: QianQianApi.NODE_MAP.artist,
                                from: 'web',
                                artistid: artistId,
                            })];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeArtist(json)];
                    }
                });
            });
        };
        QianQianApi.prototype.artistSongs = function (artistId, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request({
                                method: QianQianApi.NODE_MAP.artistSongs,
                                from: 'web',
                                artistid: artistId,
                                offset: offset,
                                limits: limit,
                            })];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeSongs(json['songlist'])];
                    }
                });
            });
        };
        QianQianApi.prototype.artistAlbums = function (artistId, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request({
                                method: QianQianApi.NODE_MAP.artistAlbums,
                                from: 'web',
                                artistid: artistId,
                                order: '1',
                                offset: offset,
                                limits: limit,
                            })];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeAlbums(json['albumlist'])];
                    }
                });
            });
        };
        QianQianApi.prototype.collection = function (collectionId, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 100; }
            return __awaiter(this, void 0, void 0, function () {
                var json, collection, songs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request(__assign({ method: QianQianApi.NODE_MAP.collection, from: 'web' }, (crypto_1.encryptPass({
                                list_id: collectionId,
                                size: limit,
                                offset: offset,
                                withcount: 1,
                                from: "web",
                            }))))];
                        case 1:
                            json = _a.sent();
                            collection = parser_1.makeCollection(json['result']);
                            return [4 /*yield*/, this.collectionSongs(collectionId, offset, limit)];
                        case 2:
                            songs = _a.sent();
                            collection.songs = songs;
                            return [2 /*return*/, collection];
                    }
                });
            });
        };
        QianQianApi.prototype.collectionSongs = function (collectionId, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 100; }
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request(__assign({ method: QianQianApi.NODE_MAP.collectionSongs }, (crypto_1.encryptPass({
                                from: "web",
                                list_id: collectionId,
                                start: offset,
                                num: limit,
                            }))))];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeSongs(json['result']['songList'])];
                    }
                });
            });
        };
        QianQianApi.prototype.searchSongs = function (keyword, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json, songs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [2 /*return*/, []];
                        case 1:
                            json = _a.sent();
                            songs = parser_1.makeSongs(json['result']['song_info']['song_list'].filter(function (i) { return i.song_id; }));
                            return [2 /*return*/, songs];
                    }
                });
            });
        };
        QianQianApi.prototype.searchAlbums = function (keyword, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json, albums;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [2 /*return*/, []];
                        case 1:
                            json = _a.sent();
                            albums = parser_1.makeAlbums(json['result']['album_info']['album_list']);
                            return [2 /*return*/, albums];
                    }
                });
            });
        };
        QianQianApi.prototype.searchArtists = function (keyword, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json, artists;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [2 /*return*/, []];
                        case 1:
                            json = _a.sent();
                            artists = parser_1.makeArtists(json['result']['artist_info']['artist_list']);
                            return [2 /*return*/, artists];
                    }
                });
            });
        };
        QianQianApi.prototype.searchCollections = function (keyword, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json, collections;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [2 /*return*/, []];
                        case 1:
                            json = _a.sent();
                            collections = parser_1.makeCollections(json['result']['playlist_info']['play_list']);
                            return [2 /*return*/, collections];
                    }
                });
            });
        };
        QianQianApi.prototype.userProfile = function (userName) {
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request(__assign({ method: QianQianApi.NODE_MAP.userProfile, from: 'web' }, (crypto_1.encryptPass({
                                nickname: userName,
                                withcount: 1,
                            }))))];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeUserProfile(json['result'])];
                    }
                });
            });
        };
        // no api
        QianQianApi.prototype.userFavoriteSongs = function (userId, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    return [2 /*return*/, []];
                });
            });
        };
        QianQianApi.prototype.userFavoriteAlbums = function (userId, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request(__assign({ method: QianQianApi.NODE_MAP.userFavoriteAlbums, from: 'web' }, (crypto_1.encryptPass({
                                from: 'web',
                                offset: offset,
                                size: limit,
                                source: '1',
                                type: '0',
                                user_id: userId,
                            }))))];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeAlbums(json['result']['listinfo'])];
                    }
                });
            });
        };
        QianQianApi.prototype.userFavoriteArtists = function (userId, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request(__assign({ method: QianQianApi.NODE_MAP.userFavoriteArtists, from: 'web' }, (crypto_1.encryptPass({
                                from: 'web',
                                offset: offset,
                                size: limit,
                                source: '2',
                                type: '0',
                                user_id: userId,
                            }))))];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeArtists(json['result']['listinfo'])];
                    }
                });
            });
        };
        QianQianApi.prototype.userFavoriteCollections = function (userId, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request(__assign({ method: QianQianApi.NODE_MAP.userFavoriteCollections, from: 'web' }, (crypto_1.encryptPass({
                                from: 'web',
                                offset: offset,
                                size: limit,
                                source: '0',
                                type: '0',
                                user_id: userId,
                            }))))];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeCollections(json['result']['listinfo'])];
                    }
                });
            });
        };
        QianQianApi.prototype.userCreatedCollections = function (userId, offset, limit) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request(__assign({ method: QianQianApi.NODE_MAP.userCreatedCollections, from: 'web' }, (crypto_1.encryptPass({
                                from: 'web',
                                offset: offset,
                                size: limit,
                                source: '0',
                                type: '10',
                                user_id: userId,
                            }))))];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeCollections(json['result']['listinfo'])];
                    }
                });
            });
        };
        QianQianApi.prototype.userFollowers = function (userId, offset, limit, ing) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            if (ing === void 0) { ing = true; }
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request(__assign({ method: QianQianApi.NODE_MAP.userFollowers, from: 'web' }, (crypto_1.encryptPass({
                                from: 'web',
                                author_id: userId,
                                offset: offset,
                                size: limit,
                                type: '2',
                            }))))];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeUserProfiles(json['list'])];
                    }
                });
            });
        };
        QianQianApi.prototype.userFollowings = function (userId, offset, limit, ing) {
            if (offset === void 0) { offset = 0; }
            if (limit === void 0) { limit = 10; }
            if (ing === void 0) { ing = true; }
            return __awaiter(this, void 0, void 0, function () {
                var json;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request(__assign({ method: QianQianApi.NODE_MAP.userFollowings, from: 'web' }, (crypto_1.encryptPass({
                                from: 'web',
                                author_id: userId,
                                offset: offset,
                                size: limit,
                                type: '1',
                            }))))];
                        case 1:
                            json = _a.sent();
                            return [2 /*return*/, parser_1.makeUserProfiles(json['list'])];
                    }
                });
            });
        };
        QianQianApi.prototype.resizeImageUrl = function (url, size) {
            return size_1.resizeImageUrl(url, size, function (url, size) { return url + "@s_1,w_" + size + ",h_" + size; });
        };
        QianQianApi.prototype.fromURL = function (input) {
            return __awaiter(this, void 0, void 0, function () {
                var chunks, items, chunks_1, chunks_1_1, chunk, m, type, matchList, matchList_1, matchList_1_1, _a, re, tp, url, cn, key, item, _b, e_2_1;
                var e_2, _c, e_3, _d;
                return __generator(this, function (_e) {
                    switch (_e.label) {
                        case 0:
                            chunks = input.split(' ');
                            items = [];
                            _e.label = 1;
                        case 1:
                            _e.trys.push([1, 18, 19, 20]);
                            chunks_1 = __values(chunks), chunks_1_1 = chunks_1.next();
                            _e.label = 2;
                        case 2:
                            if (!!chunks_1_1.done) return [3 /*break*/, 17];
                            chunk = chunks_1_1.value;
                            m = void 0;
                            type = void 0;
                            matchList = [
                                // song
                                [/song\/(\d+)/, 'song'],
                                // artist
                                [/artist\/(\d+)/, 'artist'],
                                // album
                                [/album\/(\d+)/, 'album'],
                                // collection
                                [/songlist\/(\d+)/, 'collect'],
                                // user
                                [/nickname=([^&]+)/, 'user'],
                            ];
                            try {
                                for (matchList_1 = (e_3 = void 0, __values(matchList)), matchList_1_1 = matchList_1.next(); !matchList_1_1.done; matchList_1_1 = matchList_1.next()) {
                                    _a = __read(matchList_1_1.value, 2), re = _a[0], tp = _a[1];
                                    m = re.exec(decodeURI(chunk));
                                    if (m) {
                                        type = tp;
                                        break;
                                    }
                                }
                            }
                            catch (e_3_1) { e_3 = { error: e_3_1 }; }
                            finally {
                                try {
                                    if (matchList_1_1 && !matchList_1_1.done && (_d = matchList_1.return)) _d.call(matchList_1);
                                }
                                finally { if (e_3) throw e_3.error; }
                            }
                            if (!(m && type == 'artist')) return [3 /*break*/, 4];
                            url = 'http://music.taihe.com/artist/' + m[1];
                            return [4 /*yield*/, _request_1.htmlGet(url)];
                        case 3:
                            cn = _e.sent();
                            m = (new RegExp("artistId\\s*=\\s*'(\\d+)'")).exec(cn);
                            _e.label = 4;
                        case 4:
                            if (!m) return [3 /*break*/, 16];
                            key = m[1];
                            item = void 0;
                            _b = type;
                            switch (_b) {
                                case 'song': return [3 /*break*/, 5];
                                case 'artist': return [3 /*break*/, 7];
                                case 'album': return [3 /*break*/, 9];
                                case 'collect': return [3 /*break*/, 11];
                                case 'user': return [3 /*break*/, 13];
                            }
                            return [3 /*break*/, 15];
                        case 5: return [4 /*yield*/, this.song(key)];
                        case 6:
                            item = _e.sent();
                            items.push(item);
                            return [3 /*break*/, 16];
                        case 7: return [4 /*yield*/, this.artist(key)];
                        case 8:
                            item = _e.sent();
                            items.push(item);
                            return [3 /*break*/, 16];
                        case 9: return [4 /*yield*/, this.album(key)];
                        case 10:
                            item = _e.sent();
                            items.push(item);
                            return [3 /*break*/, 16];
                        case 11: return [4 /*yield*/, this.collection(key)];
                        case 12:
                            item = _e.sent();
                            items.push(item);
                            return [3 /*break*/, 16];
                        case 13: return [4 /*yield*/, this.userProfile(key)];
                        case 14:
                            item = _e.sent();
                            items.push(item);
                            return [3 /*break*/, 16];
                        case 15: return [3 /*break*/, 16];
                        case 16:
                            chunks_1_1 = chunks_1.next();
                            return [3 /*break*/, 2];
                        case 17: return [3 /*break*/, 20];
                        case 18:
                            e_2_1 = _e.sent();
                            e_2 = { error: e_2_1 };
                            return [3 /*break*/, 20];
                        case 19:
                            try {
                                if (chunks_1_1 && !chunks_1_1.done && (_c = chunks_1.return)) _c.call(chunks_1);
                            }
                            finally { if (e_2) throw e_2.error; }
                            return [7 /*endfinally*/];
                        case 20: return [2 /*return*/, items];
                    }
                });
            });
        };
        QianQianApi.HEADERS = {
            'Connection': 'keep-alive',
            'Accept': 'application/json, text/javascript, */*; q=0.01',
            'DNT': '1',
            'X-Requested-With': 'XMLHttpRequest',
            'User-Agent': 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/81.0.4044.129 Safari/537.36',
            'Accept-Language': 'en-US,en;q=0.9,zh-CN;q=0.8,zh;q=0.7,zh-TW;q=0.6',
            'Referer': 'http://music.taihe.com/',
        };
        QianQianApi.BASICURL = 'http://music.taihe.com/';
        QianQianApi.SERVER = 'http://music.taihe.com/data/tingapi/v1/restserver/ting';
        // static readonly AUDIO = 'http://music.taihe.com/data/music/fmlink';
        QianQianApi.AUDIO = ' http://music.baidu.com/data/music/fmlink';
        QianQianApi.NODE_MAP = {
            audio: 'baidu.ting.song.getInfos',
            song: 'baidu.ting.song.baseInfo',
            album: 'baidu.ting.album.getAlbumInfo',
            artist: 'baidu.ting.artist.getInfo',
            artistSongs: 'baidu.ting.artist.getSongList',
            artistAlbums: 'baidu.ting.artist.getAlbumList',
            collection: 'baidu.ting.ugcdiy.getBaseInfo',
            collectionSongs: 'baidu.ting.ugcdiy.listSong',
            search: 'baidu.ting.search.merge',
            userProfile: 'baidu.ting.ugccenter.getUserBaseInfo',
            userFavoriteAlbums: 'baidu.ting.ugcdiy.userList',
            userFavoriteArtists: 'baidu.ting.ugcdiy.userList',
            userFavoriteCollections: 'baidu.ting.ugcdiy.userList',
            userCreatedCollections: 'baidu.ting.ugcdiy.userList',
            userFollowers: 'baidu.ting.ugcfriend.getFriOrFunList',
            userFollowings: 'baidu.ting.ugcfriend.getFriOrFunList',
        };
        return QianQianApi;
    }());
    exports.QianQianApi = QianQianApi;
});
