define(["require", "exports"], function (require, exports) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getACSRFToken = void 0;
    function getACSRFToken(cookies) {
        function e(x) {
            if (!x) {
                return '';
            }
            var n, o, t;
            for (n = 5381, o = 0, t = x.length; t > o; ++o)
                n += (n << 5) + x.charCodeAt(o);
            return (2147483647 & n).toString();
        }
        return e(cookies['qqmusic_key'] ||
            cookies['p_skey'] ||
            cookies['skey'] ||
            cookies['p_lskey'] ||
            cookies['lskey'] ||
            cookies['skey'] ||
            cookies['p_skey'] ||
            cookies['p_lskey'] ||
            cookies['lskey'] ||
            cookies['qqmusic_key']);
    }
    exports.getACSRFToken = getACSRFToken;
});
