define(["require", "exports"], function (require, exports) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.initiatePlayerState = exports.RepeatKind = void 0;
    // Repeat Kinds
    // `No`: No repeat
    // `Repeat`: Repeat playlist relentlessly
    // `RepeatOne`: Repeat single `TPlayItem` relentlessly
    var RepeatKind;
    (function (RepeatKind) {
        RepeatKind[RepeatKind["No"] = 0] = "No";
        RepeatKind[RepeatKind["Repeat"] = 1] = "Repeat";
        RepeatKind[RepeatKind["RepeatOne"] = 2] = "RepeatOne";
    })(RepeatKind = exports.RepeatKind || (exports.RepeatKind = {}));
    function initiatePlayerState() {
        return {
            index: null,
            kbps: null,
            playList: [],
            volume: 0.5,
            playing: false,
            shuffle: false,
            repeat: RepeatKind.No,
            id: 0,
        };
    }
    exports.initiatePlayerState = initiatePlayerState;
});
