define(["require", "exports", "chord/workbench/api/common/state/player", "chord/workbench/api/common/state/mainView/mainView", "chord/workbench/api/common/state/menu/menu", "chord/workbench/api/common/state/notification"], function (require, exports, player_1, mainView_1, menu_1, notification_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.initiateStateGlobal = void 0;
    /**
     * Chord global state from redux
     */
    function initiateStateGlobal() {
        return {
            player: player_1.initiatePlayerState(),
            mainView: mainView_1.initiateMainViewState(),
            menu: menu_1.initiateMenuState(),
            notification: notification_1.initiateNotificationState(),
        };
    }
    exports.initiateStateGlobal = initiateStateGlobal;
});
