var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "react"], function (require, exports, React) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.List = void 0;
    var List = /** @class */ (function (_super) {
        __extends(List, _super);
        function List(props) {
            return _super.call(this, props) || this;
        }
        List.prototype.render = function () {
            var _this = this;
            var short = !this.props.infos;
            var liClassName = this.props.active ?
                (short ?
                    'tracklist-row tracklist-row--oneline tracklist-row--active'
                    : 'tracklist-row tracklist-row--active')
                : (short ? 'tracklist-row tracklist-row--oneline' : 'tracklist-row');
            var tracklistAlign = short ? 'tracklist-middle-align' : 'tracklist-top-align';
            var coverThumbView = this.props.cover ? (React.createElement("div", { className: 'tracklist-col tracklist-col-cover-art-thumb' },
                React.createElement("div", { className: 'cover-art shadow tracklist-middle-align cover-art--with-auto-height', style: { width: '50px', height: 'auto' } },
                    React.createElement("div", null,
                        React.createElement("div", { className: 'cover-art-image cover-art-image-loaded', style: { backgroundImage: "url(\"" + this.props.cover + "\")" } }))))) : null;
            var infos = [];
            if (!short) {
                var _loop_1 = function (index, key) {
                    var info = this_1.props.infos[index];
                    if (index > 0) {
                        infos.push(React.createElement("span", { className: "second-line-separator", "aria-label": "in album", key: key }, "\u2022"));
                        key += 1;
                    }
                    infos.push(React.createElement("span", { className: 'react-contextmenu-wrapper', key: key },
                        React.createElement("span", { className: 'link-subtle a-like cursor-pointer', tabIndex: -1, onClick: function () { return info.act(); } }, info.item)));
                    key += 1;
                    out_key_1 = key;
                };
                var this_1 = this, out_key_1;
                for (var index = 0, key = 0; index < this.props.infos.length; index += 1) {
                    _loop_1(index, key);
                    key = out_key_1;
                }
            }
            var infosView = short ? null : (React.createElement("span", { className: 'second-line ellipsis-one-line' }, infos));
            var leftInfos = this.props.leftInfos ?
                this.props.leftInfos.map(function (info, index) { return (React.createElement("div", { className: 'tracklist-col tracklist-col-duration', key: index },
                    React.createElement("div", { className: "tracklist-duration " + tracklistAlign },
                        React.createElement("span", null, info.item)))); }) : null;
            return (React.createElement("div", { className: 'react-contextmenu-wrapper' },
                React.createElement("div", { id: this.props.active ? 'playing-this' : undefined, onContextMenu: function (e) { return _this.props.menu(e); } },
                    React.createElement("li", { className: liClassName, role: 'button', tabIndex: 0 },
                        React.createElement("div", { className: 'tracklist-col position-outer cursor-pointer', onClick: function () { return _this.props.button.act(); } },
                            React.createElement("div", { className: "tracklist-play-pause " + tracklistAlign }, this.props.button.item),
                            React.createElement("div", { className: "position " + tracklistAlign }, this.props.defaultButton)),
                        coverThumbView,
                        React.createElement("div", { className: 'tracklist-col name' },
                            React.createElement("div", { className: "track-name-wrapper ellipsis-one-line " + tracklistAlign },
                                React.createElement("span", { className: 'tracklist-name' }, this.props.name),
                                infosView)),
                        leftInfos))));
        };
        return List;
    }(React.Component));
    exports.List = List;
});
