define(["require", "exports", "react"], function (require, exports, React) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.NavMenu = void 0;
    function NavMenu(props) {
        var items = props.views.map(function (view, index) { return (React.createElement("li", { className: 'search-nav-li', key: props.namespace + '_' + index.toString().padStart(3, '0') },
            React.createElement("div", { className: "search-nav-item link-subtle cursor-pointer " + (props.thisView == view.value ? 'search-nav-item__active' : ''), onClick: function () { return props.handleClick(view.value); } }, view.name))); });
        return (React.createElement("nav", { className: 'search-nav-container' },
            React.createElement("ul", { className: 'search-nav-ul' }, items)));
    }
    exports.NavMenu = NavMenu;
});
