define(["require", "exports", "react", "react-redux", "chord/workbench/parts/mainView/browser/component/home/component/collections/collectionOptions", "chord/workbench/parts/mainView/browser/component/home/component/collections/collectionList"], function (require, exports, React, react_redux_1, collectionOptions_1, collectionList_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    function CollectionsView(_a) {
        var view = _a.view;
        var View;
        switch (view) {
            case 'options':
                View = React.createElement(collectionOptions_1.default, null);
                break;
            case 'collections':
                View = React.createElement(collectionList_1.default, null);
                break;
            default:
                throw new Error("[CollectionsView]: unknown view: " + view);
        }
        return View;
    }
    function mapStateToProps(state) {
        return {
            view: state.mainView.homeView.collectionsView.view,
        };
    }
    exports.default = react_redux_1.connect(mapStateToProps)(CollectionsView);
});
