var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
define(["require", "exports", "react", "react-redux", "chord/workbench/parts/mainView/browser/action/searchInput", "chord/preference/utils/app"], function (require, exports, React, react_redux_1, searchInput_1, app_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    var SearchHistory = /** @class */ (function (_super) {
        __extends(SearchHistory, _super);
        function SearchHistory(props) {
            return _super.call(this, props) || this;
        }
        SearchHistory.prototype.render = function () {
            var _this = this;
            var history = this.props.history.keywords.map(function (keyword, index) { return (React.createElement("li", { key: index, onClick: function () { return _this.props.search(keyword); } },
                React.createElement("div", { className: 'link-subtle a-like cursor-pointer' },
                    React.createElement("h1", { className: 'ellipsis-one-line' }, keyword)))); });
            return (React.createElement("div", { className: 'contentSpacing' },
                React.createElement("div", { className: 'search-history' },
                    React.createElement("ul", null, history))));
        };
        return SearchHistory;
    }(React.Component));
    var _readed = false;
    function mapStateToProps(state) {
        var history = state.mainView.searchView.history;
        if (!_readed && history.keywords.length == 0) {
            history.keywords = __spreadArray([], __read(app_1.readLocalSearchHistoryState().keywords));
            _readed = true;
        }
        return {
            history: state.mainView.searchView.history,
        };
    }
    function mapDispatchToProps(dispatch) {
        return {
            search: function (keyword) { return searchInput_1.search(keyword).then(function (act) { return dispatch(act); }); },
        };
    }
    exports.default = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(SearchHistory);
});
