var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
define(["require", "exports", "chord/base/common/assert"], function (require, exports, assert_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getMoreArtistAlbums = exports.getMoreArtistSongs = void 0;
    function getMoreArtistSongs(state, act) {
        assert_1.equal(act.act, 'c:mainView:getMoreArtistSongs');
        var songs = __spreadArray(__spreadArray([], __read(state.artist.songs)), __read(act.songs));
        var artist = __assign(__assign({}, state.artist), { songs: songs });
        var songsOffset = act.songsOffset;
        return __assign(__assign({}, state), { artist: artist, songsOffset: songsOffset });
    }
    exports.getMoreArtistSongs = getMoreArtistSongs;
    function getMoreArtistAlbums(state, act) {
        assert_1.equal(act.act, 'c:mainView:getMoreArtistAlbums');
        var albums = __spreadArray(__spreadArray([], __read(state.artist.albums)), __read(act.albums));
        var artist = __assign(__assign({}, state.artist), { albums: albums });
        var albumsOffset = act.albumsOffset;
        return __assign(__assign({}, state), { artist: artist, albumsOffset: albumsOffset });
    }
    exports.getMoreArtistAlbums = getMoreArtistAlbums;
});
