var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
define(["require", "exports", "chord/base/common/assert"], function (require, exports, assert_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getMoreCollections = exports.showCollectionListView = exports.showCollectionListOptions = void 0;
    function showCollectionListOptions(state, act) {
        assert_1.equal(act.act, 'c:mainView:home:showCollectionListOptionsView');
        var optionsSet = act.optionsSet;
        if (!!optionsSet) {
            return __assign(__assign({}, state), { view: 'collectionsView', collectionsView: __assign(__assign({}, state.collectionsView), { view: 'options', optionsSet: optionsSet }) });
        }
        else {
            return __assign(__assign({}, state), { view: 'collectionsView', collectionsView: __assign(__assign({}, state.collectionsView), { view: 'options' }) });
        }
    }
    exports.showCollectionListOptions = showCollectionListOptions;
    function showCollectionListView(state, act) {
        assert_1.equal(act.act, 'c:mainView:home:showCollectionListView');
        var origin = act.origin, option = act.option, orders = act.orders, order = act.order, collections = act.collections, collectionsOffset = act.collectionsOffset;
        return __assign(__assign({}, state), { view: 'collections', origin: origin,
            option: option,
            orders: orders,
            order: order,
            collections: collections,
            collectionsOffset: collectionsOffset });
    }
    exports.showCollectionListView = showCollectionListView;
    function getMoreCollections(state, act) {
        assert_1.equal(act.act, 'c:mainView:home:collections:getMoreCollections');
        var collections = act.collections, collectionsOffset = act.collectionsOffset;
        return __assign(__assign({}, state), { view: 'collections', collections: __spreadArray(__spreadArray([], __read(state.collections)), __read(collections)), collectionsOffset: collectionsOffset });
    }
    exports.getMoreCollections = getMoreCollections;
});
