define(["require", "exports", "chord/base/common/assert"], function (require, exports, assert_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.showUserProfile = void 0;
    function showUserProfile(state, act) {
        assert_1.equal(act.act, 'c:mainView:showUserProfileView');
        return {
            view: 'overview',
            userProfile: act.userProfile,
            songsOffset: act.songsOffset,
            artistsOffset: act.artistsOffset,
            albumsOffset: act.albumsOffset,
            favoriteCollectionsOffset: act.favoriteCollectionsOffset,
            createdCollectionsOffset: act.createdCollectionsOffset,
            followingsOffset: act.followingsOffset,
        };
    }
    exports.showUserProfile = showUserProfile;
});
