define(["require", "exports", "chord/workbench/parts/menu/browser/reducer/show"], function (require, exports, show_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.map = void 0;
    function map(act) {
        switch (act) {
            case 'c:menu:showSongMenu':
                return {
                    reducer: show_1.showSongMenu,
                    node: 'songMenu',
                };
            case 'c:menu:showArtistMenu':
                return {
                    reducer: show_1.showArtistMenu,
                    node: 'artistMenu',
                };
            case 'c:menu:showAlbumMenu':
                return {
                    reducer: show_1.showAlbumMenu,
                    node: 'albumMenu',
                };
            case 'c:menu:showCollectionMenu':
                return {
                    reducer: show_1.showCollectionMenu,
                    node: 'collectionMenu',
                };
            case 'c:menu:showUserProfileMenu':
                return {
                    reducer: show_1.showUserProfileMenu,
                    node: 'userProfileMenu',
                };
            // Sound
            case 'c:menu:showEpisodeMenu':
                return {
                    reducer: show_1.showEpisodeMenu,
                    node: 'episodeMenu',
                };
            case 'c:menu:showPodcastMenu':
                return {
                    reducer: show_1.showPodcastMenu,
                    node: 'podcastMenu',
                };
            case 'c:menu:showRadioMenu':
                return {
                    reducer: show_1.showRadioMenu,
                    node: 'radioMenu',
                };
            default:
                return null;
        }
    }
    exports.map = map;
});
