var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "react", "react-redux", "chord/workbench/parts/navigation/browser/action/search", "chord/workbench/parts/common/component/common"], function (require, exports, React, react_redux_1, search_1, common_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    var Search = /** @class */ (function (_super) {
        __extends(Search, _super);
        function Search(props) {
            return _super.call(this, props) || this;
        }
        Search.prototype.render = function () {
            var active = this.props.view == 'searchView';
            return (React.createElement("div", { className: 'navBar-item navBar-item--with-icon-left cursor-pointer', onClick: this.props.search },
                React.createElement("div", { className: "navBar-link ellipsis-one-line " + (active ? 'navBar-link--active' : 'link-subtle') },
                    React.createElement("span", { className: 'navbar-link__text' }, "Search"),
                    common_1.SearchIcon)));
        };
        return Search;
    }(React.Component));
    function mapStateToProps(state) {
        return {
            view: state.mainView.view,
        };
    }
    function mapDispatchToProps(dispatch) {
        return {
            search: function () { return dispatch(search_1.search()); },
        };
    }
    exports.default = react_redux_1.connect(mapStateToProps, mapDispatchToProps)(Search);
});
