define(["require", "exports", "react", "chord/base/common/platform", "chord/workbench/parts/navigation/browser/component/search", "chord/workbench/parts/navigation/browser/component/comeback", "chord/workbench/parts/navigation/browser/component/library", "chord/workbench/parts/navigation/browser/component/preference", "chord/workbench/parts/navigation/browser/component/home", "chord/workbench/parts/navigation/browser/component/notification", "chord/css!./media/navigationView"], function (require, exports, React, platform_1, search_1, comeback_1, library_1, preference_1, home_1, notification_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.NavigationView = void 0;
    function NavigationView() {
        return (React.createElement("div", { className: 'nav-bar-container' },
            React.createElement("div", { className: 'navBar', style: platform_1.isWindows ? null : { paddingTop: '40px' } },
                React.createElement("div", { className: 'navBar-expand' },
                    React.createElement("ul", null,
                        React.createElement("li", { className: 'navBar-group' },
                            React.createElement(comeback_1.default, null)),
                        React.createElement("li", { className: 'navBar-group' },
                            React.createElement(home_1.default, null)),
                        React.createElement("li", { className: 'navBar-group' },
                            React.createElement(search_1.default, null)),
                        React.createElement("li", { className: 'navBar-group' },
                            React.createElement(library_1.default, null)),
                        React.createElement("li", { className: 'navBar-group' },
                            React.createElement(preference_1.default, null)),
                        React.createElement("li", { className: 'navBar-group' },
                            React.createElement(notification_1.default, null)))))));
    }
    exports.NavigationView = NavigationView;
});
