var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
define(["require", "exports", "react", "chord/workbench/parts/player/browser/component/processBar", "chord/workbench/parts/player/browser/component/songInfo", "chord/workbench/parts/player/browser/component/like", "chord/workbench/parts/player/browser/component/controller", "chord/workbench/parts/player/browser/component/volume", "chord/workbench/parts/player/browser/component/playList", "chord/workbench/parts/player/browser/component/audioInfo", "chord/workbench/parts/player/browser/component/rate", "chord/css!./media/playerView"], function (require, exports, React, processBar_1, songInfo_1, like_1, controller_1, volume_1, playList_1, audioInfo_1, rate_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.PlayerView = void 0;
    var PlayerView = /** @class */ (function (_super) {
        __extends(PlayerView, _super);
        function PlayerView(props) {
            var _this = _super.call(this, props) || this;
            _this.toggleController = _this.toggleController.bind(_this);
            _this.playListContentRef = React.createRef();
            _this.playerBarContainer = React.createRef();
            _this.playerBarCenter = React.createRef();
            _this.playerBarRight = React.createRef();
            _this.toggleState = false;
            return _this;
        }
        PlayerView.prototype.toggleController = function () {
            var containerAnimation = "player-bar-controller-toggle-" + (this.toggleState ? 'off' : 'on') + " 1s ease 0s 1 normal forwards";
            this.playerBarContainer.current.style.animation = containerAnimation;
            this.playerBarCenter.current.style.display = this.toggleState ? 'block' : 'none';
            this.playerBarRight.current.style.display = this.toggleState ? 'flex' : 'none';
            this.toggleState = !this.toggleState;
        };
        PlayerView.prototype.render = function () {
            var _this = this;
            return (React.createElement("div", null,
                React.createElement("div", { ref: this.playListContentRef, className: 'playlist-content-container' },
                    React.createElement(playList_1.PlayListContent, null)),
                React.createElement("div", { ref: this.playerBarContainer, className: 'playerBar-container' },
                    React.createElement("footer", { className: 'player-bar-container' },
                        React.createElement("div", { className: 'player-bar' },
                            React.createElement("div", { className: 'player-bar__left' },
                                React.createElement("div", { className: 'now-player' },
                                    React.createElement(songInfo_1.Cover, { onclick: function () { return _this.toggleController(); } }),
                                    React.createElement(songInfo_1.SongInfo, null),
                                    React.createElement(like_1.default, null))),
                            React.createElement("div", { ref: this.playerBarCenter, className: 'player-bar__center' },
                                React.createElement("div", { className: 'player-controls' },
                                    React.createElement(controller_1.default, null),
                                    React.createElement(processBar_1.default, null))),
                            React.createElement("div", { ref: this.playerBarRight, className: 'player-bar__right' },
                                React.createElement("div", { className: 'player-bar__right__inner' },
                                    React.createElement("div", { className: 'extra-controls' },
                                        React.createElement(audioInfo_1.default, null),
                                        React.createElement(rate_1.default, null),
                                        React.createElement(playList_1.PlayListButtom, { playListContent: this.playListContentRef }),
                                        React.createElement(volume_1.default, null)))))))));
        };
        return PlayerView;
    }(React.Component));
    exports.PlayerView = PlayerView;
});
