define(["require", "exports", "chord/base/common/assert", "chord/workbench/api/node/audio"], function (require, exports, assert_1, audio_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.audioSeek = void 0;
    function audioSeek(state, act) {
        assert_1.equal(act.act, 'c:player:seek');
        if (audio_1.CAudio.hasAudio() && audio_1.CAudio.playing()) {
            var duration = audio_1.CAudio.duration();
            var seek = duration * act.percent;
            audio_1.CAudio.seek(seek);
        }
        return state;
    }
    exports.audioSeek = audioSeek;
});
