var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
define(["require", "exports", "chord/base/common/assert", "chord/workbench/parts/player/browser/reducer/playItems"], function (require, exports, assert_1, playItems_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.playOne = void 0;
    function playOne(state, act) {
        assert_1.equal(act.act, 'c:player:playOne');
        // Filter playItem which has not audio
        if (act.playItem.audios.length == 0) {
            return __assign({}, state);
        }
        var playList = [act.playItem];
        return playItems_1.playItems(state, playList);
    }
    exports.playOne = playOne;
});
