var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
define(["require", "exports", "chord/base/common/assert", "chord/workbench/api/node/audio"], function (require, exports, assert_1, audio_1) {
    'use strict';
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.changeVolume = void 0;
    function changeVolume(state, act) {
        assert_1.equal(act.act, 'c:player:volume');
        // Update the global volume (affecting all Howls).
        var volume = act.volume;
        audio_1.CAudio.volume(volume);
        return __assign(__assign({}, state), { volume: volume });
    }
    exports.changeVolume = changeVolume;
});
